​Welcome Guest!

​Register for more features on the forums!




__Tigo__
Owner

9 posts
0 reputation

IGN: __Tigo__
By __Tigo__ » 5 months ago
Hello players!

​Since the 1.12 update we lost our 1.8.x - 1.12 support we might bring it back! We have not fully decided yet.
​If i have more information or progress i will let you know!

EDIT: The network is now 1.8.x - 1.12.x compatible!

Greetings
​__Tigo__